# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate ipnet

Name:           rust-ipnet
Version:        2.8.0
Release:        %mkrel 1
Summary:        Provides types and useful methods for working with IP prefixes
Group:          Development/Other
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/ipnet
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Provides types and useful methods for working with IPv4 and IPv6 network
addresses, commonly called IP prefixes. The new `IpNet`, `Ipv4Net`, and
`Ipv6Net` types build on the existing `IpAddr`, `Ipv4Addr`, and
`Ipv6Addr` types already provided in Rust's standard library and align
to their design to stay consistent. The module also provides useful
traits that extend `Ipv4Addr` and `Ipv6Addr` with methods for `Add`,
`Sub`, `BitAnd`, and `BitOr` operations. The module only uses stable
feature so it is guaranteed to compile using the stable toolchain.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/RELEASES.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sun Nov 19 2023 wally <wally> 2.8.0-1.mga10
+ Revision: 2008043
- mageiafy .spec
- imported package rust-ipnet


* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 2.8.0-1
- Update to version 2.8.0; Fixes RHBZ#2217707

* Mon Mar 27 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.2-1
- Update to version 2.7.2; Fixes RHBZ#2182190

* Sun Jan 29 2023 Fabio Valentini <decathorpe@gmail.com> - 2.7.1-1
- Update to version 2.7.1; Fixes RHBZ#2152426

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 2.6.0-1
- Update to version 2.6.0; Fixes RHBZ#2151733

* Mon Nov 07 2022 Fabio Valentini <decathorpe@gmail.com> - 2.5.1-1
- Update to version 2.5.1; Fixes RHBZ#2140455

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 2.5.0-1
- Update to version 2.5.0; Fixes RHBZ#2076003

* Thu Mar 31 2022 Fabio Valentini <decathorpe@gmail.com> - 2.4.0-1
- Update to version 2.4.0; Fixes RHBZ#2061202

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jun 19 2021 Fabio Valentini <decathorpe@gmail.com> - 2.3.1-1
- Update to version 2.3.1.
- Fixes RHBZ#1972015

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 2.3.0-1
- Update to 2.3.0

* Thu Feb 06 2020 Josh Stone <jistone@redhat.com> - 2.2.0-1
- Update to 2.2.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Nov 11 14:31:12 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.1.0-1
- Initial package

